MacWrtProParserInternal::Zone Struct Reference

Internal: a struct used to store a zone. More...

## Public Member Functions

| Zone ()
| ~Zone ()

## Public Attributes

int | m_type
| the type : 0(text), 1(graphic)
int | m_blockId
| the first block id
std::shared_ptr< MWAWStream > | m_stream
| the storage
bool | m_parsed
| true if the zone is sended

## Detailed Description

Internal: a struct used to store a zone.

## Constructor & Destructor Documentation

## Zone()

MacWrtProParserInternal::Zone::Zone | ( |  | ) |

inline

## ~Zone()

MacWrtProParserInternal::Zone::~Zone | ( |  | ) |

inline

## Member Data Documentation

## m_blockId

int MacWrtProParserInternal::Zone::m_blockId

the first block id

Referenced by Zone().

## m_parsed

bool MacWrtProParserInternal::Zone::m_parsed

true if the zone is sended

Referenced by Zone().

## m_stream

std::shared_ptr<MWAWStream> MacWrtProParserInternal::Zone::m_stream

the storage

Referenced by Zone().

## m_type

int MacWrtProParserInternal::Zone::m_type

the type : 0(text), 1(graphic)

Referenced by Zone().

The documentation for this struct was generated from the following file:

- MacWrtProParser.cxx